Get an On-Demand Customer Bill by ID

get

/customerBillOnDemand/{id}

Gets the specified on-demand customer bill.

Request

Path Parameters
  • The bill number or ID of the on-demand customer bill to get.
    Examples

Query Parameters
  • The type of object to return.
    Examples

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

The on-demand customer bill was retrieved successfully.
Body ()
Root Schema : Customer Bill OnDemand
Type: object
Title: Customer Bill OnDemand
A customer bill created on demand.
Show Source
Nested Schema : Discriminator: @type
Type: object
Discriminator: @type

Discriminator Values

Match All
Refers to the billing account. The billing account describes the bill structure.
Show Source
Nested Schema : Bill Ref
Type: object
Title: Bill Ref
A reference to a bill.
Show Source
Nested Schema : Related Party Ref
Type: object
Title: Related Party Ref
A reference to the party related to an object.
Show Source
Nested Schema : EntityRef
Match All
Represents an entity reference schema for EntityRef classes.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Addressable
Type: object
Defines a base schema for addressable entities.
Show Source
Nested Schema : EntityRef-allOf[2]
Type: object
Represents an entity reference schema for EntityRef classes.
Show Source
Nested Schema : Discriminator: @type-allOf[2]
Type: object
Refers to the billing account. The billing account describes the bill structure.
Show Source
  • Indicates if the account follows a specific payment option such as prepaid or postpaid.

400 Response

The request isn't valid.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

401 Response

The client doesn't have the correct privileges.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

403 Response

The request wasn't authorized.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

404 Response

The requested resource couldn't be found.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

405 Response

This method is not allowed.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

409 Response

The request could not be processed due to the conflict with the existing state of the resource.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

500 Response

The system encountered an internal error.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source
Back to Top

Examples

Example 1: Get an On-Demand Customer Bill by POID

The following example shows how to get the on-demand bill with the specified billing POID by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL.

curl -X GET 'http://host:port/brm/customerBillManagement/version/customerBillOnDemand/0.0.0.1+-bill+427232'

Response Body

The following example shows the contents of the response body in JSON format.

{
   "id": "0.0.0.1+-bill+427232",
   "href": "http://host:port/brm/customerBillManagement/version/customerBillOnDemand/0.0.0.1+-bill+427232",
   "description": null,
   "lastUpdate": "2025-03-19T16:28:59+05:30",
   "name": "PIN Bill NOW",
   "billingAccount": {
      "id": "0.0.0.1+-account+104221",
      "href": null,
      "name": "Robert Brown",
      "@baseType": null,
      "@schemaLocation": null,
      "@type": null,
      "@referredType": "billingAccount"
   },
   "customerBill": {
      "id": "0.0.0.1+-bill+427232",
      "href": "http://host:port/brm/customerBillManagement/version/customerBill/0.0.0.1+-bill+427232",
      "@baseType": "CustomerBill",
      "@schemaLocation": null,
      "@type": "CustomerBill",
      "@referredType": "CustomerBill"
   }
}

Example 2: Get an On-Demand Customer Bill by Bill Number

The following example shows how to get the on-demand bill with the specified bill number by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL.

curl -X GET 'http://host:port/brm/customerBillManagement/version/customerBillOnDemand/B1-987'

Response Body

The following example shows the contents of the response body in JSON format.

{
   "id": "B1-987",
   "href": "http://host:port/brm/customerBillManagement/version/customerBillOnDemand/0.0.0.1+-bill+427232",
   "description": null,
   "lastUpdate": "2025-03-19T16:28:59+05:30",
   "name": "PIN Bill NOW",
   "billingAccount": {
      "id": "0.0.0.1+-account+104221",
      "href": null,
      "name": "Matt Williams",
      "@baseType": null,
      "@schemaLocation": null,
      "@type": null,
      "@referredType": "billingAccount"
   },
   "customerBill": {
      "id": "0.0.0.1+-bill+427232",
      "href": "http://host:port/brm/customerBillManagement/version/customerBill/0.0.0.1+-bill+427232",
      "@baseType": "CustomerBill",
      "@schemaLocation": null,
      "@type": "CustomerBill",
      "@referredType": "CustomerBill"
   }
}
Back to Top